<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for contract in supplier package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  contract module in supplier package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Contract',
    'names'         => 'Contracts',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Contracts',
        'sub'   => 'Contracts',
        'list'  => 'List of contracts',
        'edit'  => 'Edit contract',
        'create'    => 'Create new contract'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'site_id'                    => 'Please enter site id',
        'supplier_id'                => 'Please enter supplier id',
        'contract_no'                => 'Please enter contract no',
        'contract_name'              => 'Please enter contract name',
        'contract_date'              => 'Please select contract date',
        'expiry_date'                => 'Please select expiry date',
        'details'                    => 'Please enter details',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'site_id'                    => 'Site id',
        'supplier_id'                => 'Supplier id',
        'contract_no'                => 'Contract no',
        'contract_name'              => 'Contract name',
        'contract_date'              => 'Contract date',
        'expiry_date'                => 'Expiry date',
        'details'                    => 'Details',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'site_id'                    => ['name' => 'Site id', 'data-column' => 1, 'checked'],
        'supplier_id'                => ['name' => 'Supplier id', 'data-column' => 2, 'checked'],
        'contract_no'                => ['name' => 'Contract no', 'data-column' => 3, 'checked'],
        'contract_name'              => ['name' => 'Contract name', 'data-column' => 4, 'checked'],
        'contract_date'              => ['name' => 'Contract date', 'data-column' => 5, 'checked'],
        'expiry_date'                => ['name' => 'Expiry date', 'data-column' => 6, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Contracts',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
