<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for supplier in supplier package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  supplier module in supplier package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Supplier',
    'names'         => 'Suppliers',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Suppliers',
        'sub'   => 'Suppliers',
        'list'  => 'List of suppliers',
        'edit'  => 'Edit supplier',
        'create'    => 'Create new supplier'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['New','Active','Suspended','Locked'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'name'                       => 'Please enter name',
        'email'                      => 'Please enter email',
        'password'                   => 'Please enter password',
        'code'                       => 'Please enter code',
        'status'                     => 'Please select status',
        'mobile'                     => 'Please enter mobile',
        'address'                    => 'Please enter address',
        'location'                   => 'Please enter location',
        'certifications'             => 'Please enter certifications',
        'description'                => 'Please enter description',
        'photo'                      => 'Please enter photo',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'name'                       => 'Name',
        'email'                      => 'Email',
        'password'                   => 'Password',
        'code'                       => 'Code',
        'status'                     => 'Status',
        'mobile'                     => 'Mobile',
        'address'                    => 'Address',
        'location'                   => 'Location',
        'certifications'             => 'Certifications',
        'description'                => 'Description',
        'photo'                      => 'Photo',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 2, 'checked'],
        'code'                       => ['name' => 'Code', 'data-column' => 3, 'checked'],
        'status'                     => ['name' => 'Status', 'data-column' => 4, 'checked'],
        'mobile'                     => ['name' => 'Mobile', 'data-column' => 5, 'checked'],
        'location'                   => ['name' => 'Location', 'data-column' => 6, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Suppliers',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
