    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#contract" data-toggle="tab">{!! trans('supplier::contract.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#supplier-contract-edit'  data-load-to='#supplier-contract-entry' data-datatable='#supplier-contract-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#supplier-contract-entry' data-href='{{guard_url('supplier/contract')}}/{{$contract->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('supplier-contract-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('supplier/contract/'. $contract->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="contract">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('supplier::contract.name') !!} [{!!$contract->name!!}] </div>
                @include('supplier::admin.contract.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>