            <div class='row'>
                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('name')
                       -> label(trans('supplier::supplier.label.name'))
                       -> placeholder(trans('supplier::supplier.placeholder.name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::email('email')
                       -> label(trans('supplier::supplier.label.email'))
                       -> placeholder(trans('supplier::supplier.placeholder.email'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::password('password')
                       -> label(trans('supplier::supplier.label.password'))
                       -> placeholder(trans('supplier::supplier.placeholder.password'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('code')
                       -> label(trans('supplier::supplier.label.code'))
                       -> placeholder(trans('supplier::supplier.placeholder.code'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('mobile')
                       -> label(trans('supplier::supplier.label.mobile'))
                       -> placeholder(trans('supplier::supplier.placeholder.mobile'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::textarea ('address')
                    -> label(trans('supplier::supplier.label.address'))
                    -> placeholder(trans('supplier::supplier.placeholder.address'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('location')
                       -> label(trans('supplier::supplier.label.location'))
                       -> placeholder(trans('supplier::supplier.placeholder.location'))!!}
                </div>

                <div class='col-md-12 col-sm-12'>
                    <div class="form-group">
                        <label for="file" class="control-label col-lg-12 col-sm-12 text-left"> {{trans('supplier::supplier.label.certifications') }}
                        </label>
                        <div class='col-lg-3 col-sm-12'>
                            {!! $supplier->files('file')
                            ->mime(config('filer.allowed_extensions'))
                            ->url($supplier->getUploadUrl('file'))
                            ->dropzone()!!}
                        </div>
                        <div class='col-lg-7 col-sm-12'>
                            {!! $supplier
                            ->files('file')
                            ->editor()!!}
                        </div>
                    </div>
                </div>
                <div class='col-md-4 col-sm-6'>
                    {!! Form::textarea ('description')
                    -> label(trans('supplier::supplier.label.description'))
                    -> placeholder(trans('supplier::supplier.placeholder.description'))!!}
                </div>

                <div class='col-md-12 col-sm-12'>
                    <div class="form-group">
                        <label for="image" class="control-label col-lg-12 col-sm-12 text-left"> {{trans('supplier::supplier.label.photo') }}
                        </label>
                        <div class='col-lg-3 col-sm-12'>
                            {!! $supplier->files('image')
                            ->url($supplier->getUploadUrl('image'))
                            ->mime(config('filer.image_extensions'))
                            ->dropzone()!!}
                        </div>
                        <div class='col-lg-7 col-sm-12'>
                        {!! $supplier->files('image')
                        ->editor()!!}
                        </div>
                    </div>
                </div>
            </div>