<?php

namespace Islhd\Supplier\Repositories\Eloquent;

use Islhd\Supplier\Interfaces\ContractRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ContractRepository extends BaseRepository implements ContractRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('islhd.supplier.contract.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('islhd.supplier.contract.model.model');
    }
}
